This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 528390 - UMS:M22:X300 X server crashes on a certain firefox tab
UMS:M22:X300 X server crashes on a certain firefox tab
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
card_R300e/m
: Triaged
: 528429 541364 (view as bug list)
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2009-10-11 18:07 EDT by Mads Kiilerich
Modified: 2010-01-13 18:32 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 18:32:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (45.74 KB, text/plain)
2009-10-11 18:07 EDT, Mads Kiilerich
no flags Details
Xorg.0.log.old (85.52 KB, text/plain)
2009-10-13 08:27 EDT, Tim Waugh
no flags Details
Xorg.0.log.old where X crashed (48.56 KB, text/plain)
2009-11-23 19:35 EST, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2009-10-11 18:07:04 EDT
Created attachment 364401 [details]
Xorg.0.log

Description of problem:

I have seen a couple of times that when I switch a certain tab firefox then the X server crashes with

0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e57bc]
1: /usr/bin/Xorg (0x8047000+0x5fba6) [0x80a6ba6]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x60b40c]
3: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xf00000+0xcdf4a) [0xfcdf4a]
4: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xf00000+0x98a1a) [0xf98a1a]
5: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xf00000+0x9b4f1) [0xf9b4f1]
6: /usr/lib/xorg/modules/libexa.so (0x629000+0xc7c1) [0x6357c1]
7: /usr/lib/xorg/modules/libexa.so (0x629000+0xdd06) [0x636d06]
8: /usr/bin/Xorg (0x8047000+0xd4977) [0x811b977]
9: /usr/bin/Xorg (CompositePicture+0x290) [0x810ee70]
10: /usr/bin/Xorg (0x8047000+0xce0a5) [0x81150a5]
11: /usr/bin/Xorg (0x8047000+0xcac34) [0x8111c34]
12: /usr/bin/Xorg (0x8047000+0x27187) [0x806e187]
13: /usr/bin/Xorg (0x8047000+0x1b875) [0x8062875]
14: /lib/libc.so.6 (__libc_start_main+0xe6) [0x6fcb36]
15: /usr/bin/Xorg (0x8047000+0x1b461) [0x8062461]
Segmentation fault at address 0x14

Oct 11 23:29:52 localhost kernel: BUG: unable to handle kernel paging request at 6b6b6b6b
Oct 11 23:29:52 localhost kernel: IP: [<f7f6e1ab>] radeon_read_ring_rptr+0x33/0x48 [radeon]
Oct 11 23:29:52 localhost kernel: *pdpt = 0000000032004001 *pde = 0000000000000000 
Oct 11 23:29:52 localhost kernel: Oops: 0000 [#1] SMP 
Oct 11 23:29:52 localhost kernel: last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:12/device:13/device:15/uevent
Oct 11 23:29:52 localhost kernel: Modules linked in: michael_mic arc4 ecb lib80211_crypt_tkip aes_i586 aes_generic lib80211_crypt_ccmp fuse ipv6 vfat fat dm_multipath uinpu
t snd_intel8x0 snd_ac97_codec ac97_bus snd_pcm snd_timer ipw2200 iTCO_wdt iTCO_vendor_support dell_laptop rfkill dcdbas tg3 snd soundcore snd_page_alloc libipw lib80211 joy
dev yenta_socket rsrc_nonstatic video output radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: microcode]
Oct 11 23:29:52 localhost kernel:
Oct 11 23:29:52 localhost kernel: Pid: 1795, comm: vlc Not tainted (2.6.31.1-56.fc12.i686.PAE #1) Latitude D610                   
Oct 11 23:29:52 localhost kernel: EIP: 0060:[<f7f6e1ab>] EFLAGS: 00210202 CPU: 0
Oct 11 23:29:52 localhost kernel: EIP is at radeon_read_ring_rptr+0x33/0x48 [radeon]
Oct 11 23:29:52 localhost kernel: EAX: f4c6ab40 EBX: f7166240 ECX: 00000000 EDX: 6b6b6b6b
Oct 11 23:29:52 localhost kernel: ESI: 0000058f EDI: ffffffff EBP: f09bbe04 ESP: f09bbe00
Oct 11 23:29:52 localhost kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Oct 11 23:29:52 localhost kernel: Process vlc (pid: 1795, ti=f09ba000 task=f0900000 task.ti=f09ba000)
Oct 11 23:29:52 localhost kernel: Stack:
Oct 11 23:29:52 localhost kernel: 024ee30f f09bbe10 f7f6e1e2 024ee30f f09bbe24 f7f6e9f4 024ee30f f7166240
Oct 11 23:29:52 localhost kernel: <0> 00000583 f09bbe38 f7f6f97b 024ee30f 00000000 f7166240 f09bbe50 f7f7279e
Oct 11 23:29:52 localhost kernel: <0> 024ee30f 00000000 d4000000 ffffffff f09bbe68 f7f7294b 024ee30f f7166240
Oct 11 23:29:52 localhost kernel: Call Trace:
Oct 11 23:29:52 localhost kernel: [<f7f6e1e2>] ? radeon_get_ring_head+0x22/0x5b [radeon]
Oct 11 23:29:52 localhost kernel: [<f7f6e9f4>] ? radeon_commit_ring+0x59/0xb4 [radeon]
Oct 11 23:29:52 localhost kernel: [<f7f6f97b>] ? radeon_do_cp_idle+0x114/0x133 [radeon]
Oct 11 23:29:52 localhost kernel: [<f7f7279e>] ? radeon_apply_surface_regs+0x31/0x104 [radeon]
Oct 11 23:29:52 localhost kernel: [<f7f7294b>] ? free_surface+0xda/0x107 [radeon]
Oct 11 23:29:52 localhost kernel: [<f7f776af>] ? radeon_driver_lastclose+0x45/0x6c [radeon]
Oct 11 23:29:52 localhost kernel: [<f7e91cae>] ? drm_lastclose+0x45/0x24d [drm]
Oct 11 23:29:52 localhost kernel: [<f7e92627>] ? drm_release+0x41a/0x45b [drm]
Oct 11 23:29:52 localhost kernel: [<c05036de>] ? __fput+0x101/0x1a9
Oct 11 23:29:52 localhost kernel: [<c05037ad>] ? fput+0x27/0x3a
Oct 11 23:29:52 localhost kernel: [<c04ffe96>] ? filp_close+0x64/0x7f
Oct 11 23:29:52 localhost kernel: [<c044e3a7>] ? put_files_struct+0x68/0xbd
Oct 11 23:29:52 localhost kernel: [<c044e43f>] ? exit_files+0x43/0x59
Oct 11 23:29:52 localhost kernel: [<c044fd3c>] ? do_exit+0x1d6/0x648
Oct 11 23:29:52 localhost kernel: [<c0477a39>] ? trace_hardirqs_on_caller+0x122/0x155
Oct 11 23:29:52 localhost kernel: [<c0477a85>] ? trace_hardirqs_on+0x19/0x2c
Oct 11 23:29:52 localhost kernel: [<c0450220>] ? do_group_exit+0x72/0x99
Oct 11 23:29:52 localhost kernel: [<c045026e>] ? sys_exit_group+0x27/0x3c
Oct 11 23:29:52 localhost kernel: [<c04099cb>] ? sysenter_do_call+0x12/0x38
Oct 11 23:29:52 localhost kernel: Code: 44 00 00 65 8b 0d 14 00 00 00 89 4d fc 31 c9 f6 80 4a 03 00 00 08 8b 80 e0 00 00 00 74 07 03 50 14 8b 02 eb 08 83 e2 fc 03 50 14 <8b
> 02 8b 55 fc 65 33 15 14 00 00 00 74 05 e8 74 e1 4d c8 c9 c3 
Oct 11 23:29:52 localhost kernel: EIP: [<f7f6e1ab>] radeon_read_ring_rptr+0x33/0x48 [radeon] SS:ESP 0068:f09bbe00
Oct 11 23:29:52 localhost kernel: CR2: 000000006b6b6b6b
Oct 11 23:29:52 localhost kernel: ---[ end trace ef599d756736ee7c ]---

01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-0.7.20091006git457646d73.fc12.i686
kernel 2.6.31.1-56.fc12.i686.PAE nomodeset
Comment 1 Tim Waugh 2009-10-13 08:26:58 EDT
I think I'm seeing the same problem on x86_64.  I can't say that it's triggered by anything in particular, and I've only seen it twice: once today, and once yesterday.

xorg-x11-drv-ati-6.13.0-0.7.20091006git457646d73.fc12.x86_64
kernel-2.6.31.1-56.fc12.x86_64
(no special cmdline parameters but KMS doesn't get activated)

tun0: Disabled Privacy Extensions
device vnet0 entered promiscuous mode
virbr0: topology change detected, propagating
virbr0: port 1(vnet0) entering forwarding state
BUG: MAX_LOCK_DEPTH too low!
turning off the locking correctness validator.
Pid: 21420, comm: qemu-kvm Not tainted 2.6.31.1-56.fc12.x86_64 #1
Call Trace:
 [<ffffffff810978db>] __lock_acquire+0xb84/0xc0e
 [<ffffffff81097a53>] lock_acquire+0xee/0x12e
 [<ffffffff8111a32b>] ? mm_take_all_locks+0xf7/0x141
 [<ffffffff8111a32b>] ? mm_take_all_locks+0xf7/0x141
 [<ffffffff8111a32b>] ? mm_take_all_locks+0xf7/0x141
 [<ffffffff815065be>] _spin_lock_nest_lock+0x45/0x8e
 [<ffffffff8111a32b>] ? mm_take_all_locks+0xf7/0x141
 [<ffffffff81504e33>] ? mutex_lock_nested+0x4f/0x6b
 [<ffffffff8111a32b>] mm_take_all_locks+0xf7/0x141
 [<ffffffff811302dc>] ? do_mmu_notifier_register+0xb4/0x192
 [<ffffffff811302e4>] do_mmu_notifier_register+0xbc/0x192
 [<ffffffff81130419>] mmu_notifier_register+0x26/0x3d
 [<ffffffffa028feeb>] kvm_dev_ioctl+0x14a/0x2f7 [kvm]
 [<ffffffff81151a13>] vfs_ioctl+0x31/0xaa
 [<ffffffff81151fd5>] do_vfs_ioctl+0x4aa/0x506
 [<ffffffff81152096>] sys_ioctl+0x65/0x9c
 [<ffffffff81011f42>] system_call_fastpath+0x16/0x1b
vnet0: no IPv6 routers present
kvm: 21420: cpu0 unimplemented perfctr wrmsr: 0x186 data 0x130079
kvm: 21420: cpu0 unimplemented perfctr wrmsr: 0xc1 data 0xffcc3ef4
kvm: 21420: cpu0 unimplemented perfctr wrmsr: 0x186 data 0x530079
[drm] Num pipes: 1
general protection fault: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/resource
CPU 0 
Modules linked in: tun fuse ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfs
d lockd nfs_acl auth_rpcgss exportfs sunrpc xt_physdev nf_conntrack_netbios_ns i
p6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 p4_clockmod freq_ta
ble speedstep_lib dm_multipath kvm_intel kvm uinput ppdev dcdbas snd_hda_codec_i
dt joydev firewire_ohci firewire_core parport_pc iTCO_wdt iTCO_vendor_support se
rio_raw crc_itu_t parport i2c_i801 snd_hda_intel snd_hda_codec snd_hwdep snd_pcm tg3 snd_timer snd soundcore snd_page_alloc xts gf128mul sha256_generic cryptd aes_x86_64 aes_generic cbc dm_crypt floppy radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: freq_table]
Pid: 3204, comm: empathy Not tainted 2.6.31.1-56.fc12.x86_64 #1 Precision WorkStation 380    
RIP: 0010:[<ffffffffa005e1ef>]  [<ffffffffa005e1ef>] radeon_read_ring_rptr+0x43/0x5b [radeon]
RSP: 0018:ffff88002cd47b78  EFLAGS: 00010202
RAX: ffff88007a0bf880 RBX: ffff8800378c5b18 RCX: ffffc90006775000
RDX: 0000000000000028 RSI: 6b6b6b6b6b6b6b6b RDI: ffff8800378c5b18
RBP: ffff88002cd47b88 R08: ffff8800378c5d28 R09: 0000000000000010
R10: ffffffffffffffff R11: 0000000000000000 R12: 0000000000000010
R13: ffff880037932090 R14: ffff8800378c5c98 R15: ffff880037932280
FS:  00007fb2e6102840(0000) GS:ffff880006000000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f5a48bb9000 CR3: 000000006300d000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process empathy (pid: 3204, threadinfo ffff88002cd46000, task ffff8800513624a0)
Stack:
 ffffffff81286361 0000000045fa660c ffff88002cd47ba8 ffffffffa005e230
<0> ffff88002cd47bc8 0000000045fa660c ffff88002cd47bd8 ffffffffa005eb2d
<0> ffff8800378c5d28 0000000045fa660c 0000000000000001 ffff8800378c5b18
Call Trace:
 [<ffffffff81286361>] ? debug_check_no_obj_freed+0x74/0x1ce
 [<ffffffffa005e230>] radeon_get_ring_head+0x29/0x68 [radeon]
 [<ffffffffa005eb2d>] radeon_commit_ring+0x60/0xc7 [radeon]
 [<ffffffffa005fd13>] radeon_do_cp_idle+0x156/0x179 [radeon]
 [<ffffffffa00630e1>] radeon_apply_surface_regs+0x3a/0x166 [radeon]
 [<ffffffffa0063302>] free_surface+0xf5/0x11f [radeon]
 [<ffffffffa0068d87>] radeon_driver_lastclose+0x54/0x86 [radeon]
 [<ffffffffa0015684>] drm_lastclose+0x5c/0x2c4 [drm]
 [<ffffffffa0016187>] drm_release+0x4e5/0x535 [drm]
 [<ffffffff81143f35>] __fput+0x137/0x200
 [<ffffffff8114402b>] fput+0x2d/0x43
 [<ffffffff81140210>] filp_close+0x77/0x97
 [<ffffffff810668e4>] put_files_struct+0x79/0xde
 [<ffffffff81066997>] exit_files+0x4e/0x69
 [<ffffffff81068454>] do_exit+0x222/0x768
 [<ffffffff81068a2d>] do_group_exit+0x93/0xc3
 [<ffffffff81068a87>] sys_exit_group+0x2a/0x42
 [<ffffffff81011f42>] system_call_fastpath+0x16/0x1b
Code: 45 f8 31 c0 f6 87 0e 04 00 00 08 48 8b 87 10 01 00 00 74 0a 89 f6 48 03 70 18 8b 06 eb 0f c1 ee 02 89 f6 48 c1 e6 02 48 03 70 18 <8b> 06 48 8b 55 f8 65 48 33 14 25 28 00 00 00 74 05 e8 f8 60 00 
RIP  [<ffffffffa005e1ef>] radeon_read_ring_rptr+0x43/0x5b [radeon]
 RSP <ffff88002cd47b78>
---[ end trace 6ecc01a6beeeaf94 ]---
Fixing recursive fault but reboot is needed!

I'll attach my Xorg.0.log.old as well.
Comment 2 Tim Waugh 2009-10-13 08:27:51 EDT
Created attachment 364580 [details]
Xorg.0.log.old
Comment 3 Mads Kiilerich 2009-10-13 08:41:16 EDT
It is 100% reproducible on my machine, so I can gaurantee to test any changes ASAP - I just have to switch to the killer tab ;-)

I don't know exactly which web page is trigging this, but I guess I can figure it out somehow ...

The Firefox stacktrace looked a bit suspicious as well - tracked on bug 528388.
Comment 4 Jan Kratochvil 2009-10-13 08:53:07 EDT
That radeon_drv.so address 0xcdf4a is:
Line 78 of "radeon_kms.c" starts at address 0xcdf44 <radeon_cs_flush_indirect+36> and ends at 0xcdf51 <radeon_cs_flush_indirect+49>.
78	    if (!info->cs->cdw)
as in Bug 528429.
Comment 5 Jan Kratochvil 2009-10-13 08:53:19 EDT
*** Bug 528429 has been marked as a duplicate of this bug. ***
Comment 6 Tim Waugh 2009-10-13 09:55:21 EDT
I've tracked down the web page that caused the crash I was seeing on x86_64:
  http://www.alakazam.co.uk/
Comment 9 Jerome Glisse 2009-10-16 07:18:54 EDT
No they are different bug. I believe #488940 is already fixed in fedora 12 while this bug is maybe not fixed. Can the reported of this bug check that lastest fedora 12 rawhide fix the issue or not.
Comment 10 Tim Waugh 2009-10-16 07:43:48 EDT
Jerome: see comment #1.  Current Fedora 12 rawhide still has the same versions I tested then:

xorg-x11-drv-ati-6.13.0-0.7.20091006git457646d73.fc12.x86_64
kernel-2.6.31.1-56.fc12.x86_64
Comment 11 Mads Kiilerich 2009-10-25 08:34:54 EDT
Got it again, this time on http://politiken.dk/indland/article816841.ece , but only the 2nd time I press page down.

kernel-PAE-2.6.31.5-96.fc12.i686 nomodeset
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686

I will raise the severity to High because it causes random crashes with potential data loss and there is no known workaround. IMHO it should be Urgent and a release blocker...
Comment 12 Tim Waugh 2009-10-27 05:41:26 EDT
The good news is the kernel is no longer oopsing (kernel-2.6.31.5-96.fc12.x86_64).

Still getting the X crashes though.  Latest page to cause it:
  http://hplusmagazine.com/articles/ai/darwin%E2%80%99s-robots

(Do you still need more reproducers?)
Comment 13 Mads Kiilerich 2009-10-27 08:53:31 EDT
Argh. Getting close to 10 crashes today.

Are there any known or potential workarounds? Some settings which might work around the problem?
Comment 14 Jerome Glisse 2009-10-27 13:14:34 EDT
Do you use KMS ? From oops it seems you are not using it. Do you have same issue with KMS ?
Comment 15 Mads Kiilerich 2009-10-27 13:21:04 EDT
Correct, I don't use KMS. With KMS I get no image at all. See bug 521161.

Thanks for asking ;-)
Comment 16 Tim Waugh 2009-11-02 11:39:20 EST
And another URL that triggers the crash: http://docs.fedoraproject.org/ ...!
Comment 17 Tim Waugh 2009-11-05 05:23:58 EST
This has got to be an F12 target bug if not a blocker.
Comment 18 Matěj Cepl 2009-11-05 12:17:53 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 19 Mads Kiilerich 2009-11-05 12:23:45 EST
5 hard X crashes today with
kernel-PAE-2.6.31.5-115.fc12.i686 nomodeset
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686
Comment 20 Jacob Church 2009-11-10 14:43:44 EST
Have the same package versions as Mads and keep running in to the same issue. 100% reproducable for me with radeon x700.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e587c]
1: /usr/bin/Xorg (0x8047000+0x5fb66) [0x80a6b66]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x6d940c]
3: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x16a000+0xcdf4a) [0x237f4a]
4: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x16a000+0x98a1a) [0x202a1a]
5: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x16a000+0x9b4f1) [0x2054f1]
6: /usr/lib/xorg/modules/libexa.so (0x2a0000+0xc7c1) [0x2ac7c1]
7: /usr/lib/xorg/modules/libexa.so (0x2a0000+0xd36c) [0x2ad36c]
8: /usr/bin/Xorg (0x8047000+0xd4a07) [0x811ba07]
9: /usr/bin/Xorg (CompositePicture+0x290) [0x810eef0]
10: /usr/bin/Xorg (0x8047000+0xce125) [0x8115125]
11: /usr/bin/Xorg (0x8047000+0xcacb4) [0x8111cb4]
12: /usr/bin/Xorg (0x8047000+0x271f7) [0x806e1f7]
13: /usr/bin/Xorg (0x8047000+0x1b8c5) [0x80628c5]
14: /lib/libc.so.6 (__libc_start_main+0xe6) [0x4fdbb6]
15: /usr/bin/Xorg (0x8047000+0x1b4b1) [0x80624b1]
Segmentation fault at address 0x14

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting
Comment 21 Mads Kiilerich 2009-11-22 08:52:41 EST
It seems like I almost can avoid the problem by using down arrow for scrolling and not use space/pgdn to scroll.
Comment 22 Dave Airlie 2009-11-22 22:10:19 EST
Please try the latset xorg-x11-drv-ati from koji

http://kojipkgs.fedoraproject.org/packages/xorg-x11-drv-ati/6.13.0/0.12.20091119git437113124.fc12/
Comment 23 Andrew Schultz 2009-11-22 22:26:17 EST
I was hitting this X crash, but it seems fixed for me with the new package (6.13.0-0.12.20091119git437113124)
Comment 24 Mads Kiilerich 2009-11-23 07:55:17 EST
So far I haven't been able to reproduce the crash with the new driver, so I guess this issue can be closed when the new driver version gets pushed as an update.
Comment 25 Jacob Church 2009-11-23 09:56:00 EST
I can't start X now that I have that driver installed. This message is at the end of my Xorg.0.log.

Fatal server error:
Couldn't find valid PLL dividers

http://pastebin.com/f796b57ed
Comment 26 Mads Kiilerich 2009-11-23 09:57:35 EST
I just got a hanging X with the new build. I don't know if it is related, so I have reported it separately on bug 540511.
Comment 27 Mads Kiilerich 2009-11-23 19:35:28 EST
Created attachment 373291 [details]
Xorg.0.log.old where X crashed

I just got a X crash the moment I switched to Firefox:

0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e587c]
1: /usr/bin/Xorg (0x8047000+0x5fb66) [0x80a6b66]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0xe6640c]
3: /lib/libc.so.6 (memcpy+0x61) [0x4effc1]
4: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x175000+0x9803) [0x17e803]
5: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x175000+0x3faa4) [0x1b4aa4]
6: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x175000+0x45860) [0x1ba860]
7: /usr/bin/Xorg (0x8047000+0x1330de) [0x817a0de]
8: /usr/lib/xorg/modules/extensions/libextmod.so (XvdiPutImage+0x186) [0xd23cd6]
9: /usr/lib/xorg/modules/extensions/libextmod.so (0xd18000+0xfd16) [0xd27d16]
10: /usr/lib/xorg/modules/extensions/libextmod.so (ProcXvDispatch+0x3b) [0xd28e2b]
11: /usr/bin/Xorg (0x8047000+0x271f7) [0x806e1f7]
12: /usr/bin/Xorg (0x8047000+0x1b8c5) [0x80628c5]
13: /lib/libc.so.6 (__libc_start_main+0xe6) [0x48ebb6]
14: /usr/bin/Xorg (0x8047000+0x1b4b1) [0x80624b1]
Segmentation fault at address 0xa959d000

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

I tend to conclude that the situation has improved, but the problem isn't solved completely yet.

xorg-x11-drv-ati-6.13.0-0.12.20091119git437113124.fc12.i686
kernel-PAE-2.6.31.6-145.fc12.i686
Comment 28 Jacob Church 2009-11-27 19:50:08 EST
I noticed an update is available xorg-x11-drv-ati-6.13.0-0.11.20091119git437113124.fc12. Should I update, or is this the same as the koji package that was giving me this error when I tried to start X?

Fatal server error:
Couldn't find valid PLL dividers
Comment 29 Mads Kiilerich 2009-11-27 20:30:06 EST
Jacob: 
6.13.0-0.11 predates 6.13.0-0.12, so I don't think you should update. But if you want to experiment you can find both newer and older builds on http://koji.fedoraproject.org/koji/packageinfo?packageID=95

But I think your "Couldn't find valid PLL dividers" is unrelated to the issue discussed on this bug report, so I think you should file a new one.
Comment 30 Craig Anthony 2009-11-29 12:57:54 EST
I'm able to reproduce this problem consistently on my ThinkPad T60p with Mobility Radeon X1400 running FC12 kernel 2.6.31.5-127.fc12.x86_64 and latest updates by starting Firefox and visiting http://www.tsa.gov/

This problem only happens when the kernel "nomodeset" option is specified -- after removing this option the problem is not reproducible but I have to set this option to workaround the many other radeon driver bugs.

The stack trace is a bit different than some of those above, please let me know if you'd prefer a new bug be filed:

Core was generated by `/usr/bin/X :0 -auth /home/dwars/.serverauth.3827'.
Program terminated with signal 6, Aborted.
#0  0x0000003c19c326b5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);

(gdb) bt
#0  0x0000003c19c326b5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003c19c33e95 in abort () at abort.c:92
#2  0x000000000046df43 in ddxGiveUp () at xf86Init.c:1223
#3  0x0000000000467cad in AbortServer () at log.c:404
#4  0x000000000046839e in FatalError (f=0x5727e8 "Caught signal %d (%s). Server aborting\n") at log.c:529
#5  0x0000000000461a1e in OsSigHandler (signo=11, sip=<value optimized out>, unused=<value optimized out>) at osinit.c:156
#6  <signal handler called>
#7  0x00007fcb38e6b07f in radeon_cs_flush_indirect (pScrn=0xe27f50) at radeon_kms.c:78
#8  0x00007fcb38e355b5 in RadeonCompositeTileCP (pScrn=0xe27f50, info=0xe2b260, pDst=<value optimized out>, srcX=0, srcY=0, 
    maskX=<value optimized out>, maskY=<value optimized out>, dstX=<value optimized out>, dstY=<value optimized out>, w=<value optimized out>, 
    h=<value optimized out>) at radeon_exa_render.c:2182
#9  0x00007fcb38e37b35 in RadeonCompositeCP (pDst=<value optimized out>, srcX=<value optimized out>, srcY=0, maskX=<value optimized out>, 
    maskY=<value optimized out>, dstX=<value optimized out>, dstY=<value optimized out>, width=<value optimized out>, height=<value optimized out>)
    at radeon_exa_render.c:2426
#10 0x00007fcb381b51b9 in exaTryDriverComposite (op=<value optimized out>, pSrc=<value optimized out>, pMask=<value optimized out>, 
    pDst=<value optimized out>, xSrc=<value optimized out>, ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, 
    xDst=<value optimized out>, yDst=<value optimized out>, width=<value optimized out>, height=<value optimized out>) at exa_render.c:778
#11 0x00007fcb381b6697 in exaComposite (op=<value optimized out>, pSrc=0x3f11e50, pMask=0x0, pDst=0x3f116f0, xSrc=<value optimized out>, 
    ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, xDst=<value optimized out>, yDst=<value optimized out>, 
    width=<value optimized out>, height=<value optimized out>) at exa_render.c:982
#12 0x00000000004d1c80 in damageComposite (op=<value optimized out>, pSrc=<value optimized out>, pMask=<value optimized out>, pDst=0x3f116f0, 
    xSrc=<value optimized out>, ySrc=<value optimized out>, xMask=<value optimized out>, yMask=<value optimized out>, xDst=<value optimized out>, 
    yDst=<value optimized out>, width=<value optimized out>, height=<value optimized out>) at damage.c:643
#13 0x00000000004cb80e in ProcRenderComposite (client=<value optimized out>) at render.c:723
#14 0x000000000042c69c in Dispatch () at dispatch.c:445
#15 0x0000000000421cfa in main (argc=<value optimized out>, argv=<value optimized out>, envp=<value optimized out>) at main.c:285
Comment 31 Mads Kiilerich 2009-12-01 18:39:13 EST
I have had great success using the xorg.conf tricks on
https://fedoraproject.org/wiki/Common_F12_bugs#radeon-misc-gfx

I have been running with 
  Option "AccelMethod" "XAA"
  Option "AccelDFS" "off"
  Option "DRI" "off"
for several days now without any firefox crashes (and also no redraw errors), and the cpu load when running vlc has also dropped significantly.

Right now I am just using
  Option "AccelMethod" "XAA"
and that seems to be enough.

So far I haven't seen any disadvantages with this workaround, so AFAICS it would be fine to hardcode that quirk, either as a solution or as a workaround until a better solution is found.
Comment 32 Dave Airlie 2009-12-01 18:46:26 EST
The fix is already pushed out in stable without the quirk.

get the latest xorg-x11-drv-ati from updates and remove xorg.conf
Comment 33 Mads Kiilerich 2009-12-01 20:03:45 EST
F12 updates has xorg-x11-drv-ati-6.13.0-0.12.20091119git437113124 with which I get regular firefox-related crashes.

Koji has xorg-x11-drv-ati-6.13.0-0.15.20091127gita8dbf7c23, but has apparently not been pushed as update or testing. I will try it now.
Comment 34 Mads Kiilerich 2009-12-04 06:55:11 EST
So far I haven't seen any firefox crashes with the new driver so far, so it looks good, but I haven't been using it intensively and don't dare to make any conclusions yet.

What do the other metoo reports say? Can you crash it?

(I do however see massive increase in cpu load which I think is related to xorg-x11-drv-ati-6.13.0-0.15.20091127gita8dbf7c23. Before the cpu load was below 50% when playing video (youtube or flash), now it is 100%. With XAA it is more like 20%.)
Comment 35 Jerome Glisse 2009-12-04 10:08:54 EST
*** Bug 541364 has been marked as a duplicate of this bug. ***
Comment 36 Mads Kiilerich 2010-01-13 18:32:20 EST
I have seen no problems for a month (using XAA), so I guess the issue has been solved.

Besides that: now I'm using KMS, so it is a completely new situation, for better or worse.

Closing.

Note You need to log in before you can comment on or make changes to this bug.